/*
 *  ImgView  A simple image viewer
 *
 *  Copyright (C) 2013 Mats Peterson
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  Please send any comments/bug reports to
 *  matsp888@yahoo.com  (Mats Peterson)
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

static char *deffont = "sans 11";

FILE *messagepipe(char *title, char *font)
{
    char cmd[1024];
    FILE *f;

    sprintf(cmd, "gxmessage -center -title '%s' -default okay -file -"
            " -fn '%s'", title, font ? font : deffont);
    f = popen(cmd, "w");
    return f;
}

void message(char *title, char *s, char *font)
{
    FILE *f;
 
    if ((f = messagepipe(title, font))) {
        fprintf(f, "%s", s);
        pclose(f);
    }
}
